Subject: bug#62277: closed (Re: bug#62277: cannot `lossage-size` a large number)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Mar 2023 18:48:02 +0000

Your bug report

#62277: cannot `lossage-size` a large number

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62277: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62277
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62277: cannot `lossage-size` a large number
From: Eli Zaretskii <[email-masked]>
To: "Xie Qi" <[email-masked]>
Cc: [email-masked]
Date: Sun, 19 Mar 2023 20:47:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Xie Qi" <[email-masked]>
> Date: Mon, 20 Mar 2023 01:23:31 +0800
> 
> <meta http-equiv="Content-Type" content="text/html; charset=GB18030"><https: emacs.stackexchange.com="" questions="" 76363="">:
> 
> I Lauched Emacs by `emacs -Q`, then
> 
> 1. if I use&nbsp;`most-positive-fixnum`:
> 
>     ```
>     (lossage-size most-positive-fixnum)
>     ```
> 
>     Emacs will emitted:&nbsp;"Value must be &gt;= 100"&nbsp;in&nbsp;echo area.
> 
> 2. if I use a modest number:
> 
>     ```
>     (lossage-size (/ most-positive-fixnum 10))
>     ```
> 
>     Emacs will crash immediately because of the large memory usage.

Thanks, I fixed this for Emacs 29.1.

Subject: cannot `lossage-size` a large number
From: "Xie Qi" <[email-masked]>
To: "bug-gnu-emacs" <[email-masked]>
Date: Mon, 20 Mar 2023 01:23:31 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

<meta http-equiv="Content-Type" content="text/html; charset=GB18030"><https: emacs.stackexchange.com="" questions="" 76363="">:

I Lauched Emacs by `emacs -Q`, then

1. if I use&nbsp;`most-positive-fixnum`:

    ```
    (lossage-size most-positive-fixnum)
    ```

    Emacs will emitted:&nbsp;"Value must be &gt;= 100"&nbsp;in&nbsp;echo area.

2. if I use a modest number:

    ```
    (lossage-size (/ most-positive-fixnum 10))
    ```

    Emacs will crash immediately because of the large memory usage.

_________________________

emacs-28.2 for win 11 64-bit</https:>